Subject: Re: Possible bug in Emacs 21.3
From: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 29 Mar 2003 08:19:54 +0100
Newsgroups: gnu.emacs.bug

The following message is a courtesy copy of an article
that has been posted to gnu.emacs.bug as well.

"Peter Milliken" <[email-masked]> writes:

> I have downloaded the source of 21.3 and built it on a PC running Win2000
> and using the Cygwin distribution and following the INSTALL instructions in
> emacs-21.3/nt/INSTALL (well, I ran "configure.bat --prefix=/c/emacs" and
> then type "make install" as I have done for all other source distributions
> :-))
>
> The resulting binary falls over with a "Abort, Retry or Ignore" dialog when
> any package referenced from my .emacs that attempts to "require" the cl.el
> package.
>
> Just typing M-: (require 'cl) from within the Emacs session will bring up
> the problem.
>
> I would imagine this is more likely a problem with my Cygwin setup than an
> Emacs bug as I am sure that pretesting would have found this one very
> quickly!

> I used gcc 3.2.3(?) to build emacs from the source. I then tried using gcc
> 2.95 but that fails with a source code/compile error part way through the
> make, so I rebuilt with gcc 3.2.3 and tried again - same results.

I veryfied emacs-21.2.95 this with the latest cygwin release and I
could reproduce this on my system too. I was able to compile emacs too
with the latest cygwin 'gcc version 2.95.3-10 (cygwin special)', but
the problem still exists: cl pops up a "Abort, Retry or Ignore"
Dialog.

Compiler                          | State
----------------------------------+-----------------
gcc    2.95.3-10 (cygwin special) | fails with cl.el
gcc 3.2 20020927 (prerelease)     | fails with cl.el
gcc     2.95.3-6 (mingw special)  | okay
msvc                              | okay

With the emacs head version I get by executing the "M-: (require 'cl)"
lisp function the following backtrace:

,----
| Debugger entered--Lisp error: (invalid-read-syntax ". in wrong context")
|   cl-random-time()
|   byte-code("...")
|   require(cl)
|   eval((require (quote cl)))
|   eval-expression((require (quote cl)) nil)
| * call-interactively(eval-expression)
`----

I am cc'ing this too to the cygwin mailing list, maybe someone has an
idea what the problem caused.

Harald

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/